两个WordPress插件存在严重安全漏洞 看看你的网站用没用?

搬瓦工机场JMS

站长之家 1月16日 消息:据zdnet报道,WordPress的两个插件 InfiniteWP Client和 WP Time Capsule被曝出现严重的安全漏洞,估计有 32 万个网站容易被利用攻击。

这两个插件被用于在一服务器上管理多个WordPress网站,并在发布更新时为文件和数据库条目创建备份。WebArx的网络安全研究人员发现,代码中存在逻辑问题,允许他人无需密码即可登录管理员帐户。根据WordPress插件库数据,InfiniteWP活跃在超过300, 000 个网站,而WP Time Capsule在至少活跃在20, 000 个网站上。

周二,研究小组表示,影响InfiniteWP 1.9.4. 5 以下版本的逻辑问题意味着,使用 JSON 和 Base64 编码的 POST 请求有效负载可以绕过密码请求,只需知道管理员的用户名即可登录。

而在1.21. 16 以下的WP Time Capsule版本中,函数行中的问题可以通过在原始POST请求中添加一个精心设计的字符串来调用一个函数,该函数获可取所有可用的管理员帐户,并作为列表中的第一个管理员登录。

1 月 7 日,WebArx 向这两款插件的开发者报告了这些漏洞,开发者迅速作出反应,并在一天后发布软件更新。Webarx建议网站管理员尽快安装更新避免遭受攻击,因为防火墙保护将不起作用。

未经允许不得转载:Just My Socks中文教程网 » 两个WordPress插件存在严重安全漏洞 看看你的网站用没用?

赞 (0) 打赏
Just My Socks搬瓦工机场JMS

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏